import os
import logging

from p2.store.client import Client


class Config:

    def __init__(self):

        self.log = logging.getLogger()
        p2_store_url = os.environ.get('P2_STORE_URL')
        if p2_store_url is None:
            raise("Envar P2_STORE_URL not found") 
        self.p2_store_client = Client(p2_store_url)
        config = self.p2_store_client.get_config('p2.scheduler')
        if config is None:
            self.log.warning("No configuration found")
            config = dict()

        self.hours_slot = config.get('hours_slot', [14,15,16,17,18])
        self.spare_days_per_month = config.get('spare_days_per_month', 1)
        self.num_week_days = config.get('num_week_days', 5)
        self.selected_week_days = config.get('selected_week_days', [2,3,4,5])
        self.fixed_intervals = config.get('fixed_intervals', 1)
        self.max_tests_per_day = config.get('max_tests_per_day', 2) 
        self.look_ahead_period = config.get('look_ahead_period', 30)
        self.targets_to_skip = config.get('targets_to_skip', ['admin'])
        self.target_priority_period = config.get('target_priority_period', [7,14,30])
        self.targets_priority = config.get('targets_priority', {})
