#!/usr/bin/env python
import argparse
import os
from datetime import date

from p2.Scheduler import Scheduler
from p2.logging import Logger

log = Logger(name='scheduler')
log_obj=log.getLogger()

parser = argparse.ArgumentParser()
parser.add_argument('-i',
                    '--campaign_ids',
                    action='append',
                    help='A list of campaign ids to consider',
                    required=True)
args = parser.parse_args()
log_obj.info("This scheduler will consider these campaign ids: {}".format(args.campaign_ids))

try:
    scheduler = Scheduler(logger=log)
    for id in args.campaign_ids:
        scheduler.schedule_campaign(int(id))
except Exception as err:
    log_obj.error("Scheduler could not schedule properly: {}".format(err))
