#!/usr/bin/env python

"""The setup script."""

import os
from setuptools import setup, find_namespace_packages, find_packages

KEYWORDS = ['p2.scheduler', ]

with open('README.rst') as readme_file:
    readme = readme_file.read()

requirements = [ ]

setup_requirements = ['pytest-runner', ]

test_requirements = ['pytest>=3', ]

setup(
    name='p2.scheduler',
    author="Marco Masetti",
    author_email='marco.masetti@sky.uk',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="A P2 module for automatic scheduling of chaos experiments",
    install_requires=requirements,
    license="BSD license",
    long_description=readme,
    include_package_data=True,
    keywords=KEYWORDS,
    packages=find_namespace_packages(include=['p2','p2.*','scripts/*']),
    scripts=[
        'scripts/p2_scheduler.py'
        ],
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/sky-uk/p2_scheduler',
    version='0.5.0',
    zip_safe=False,
)
