import os
import unittest

from p2.scheduler.Config import Config
from p2.tools.prepare_db import setUpDB, tearDownDB

class TestConfig(unittest.TestCase):

    def setUp(self):
        setUpDB()
        self.config = Config()

    def tearDown(self):
        tearDownDB()

    def test_config(self):
        self.assertEqual(self.config.hours_slot, [14,15,16,17,18])
        self.assertEqual(self.config.spare_days_per_month, 1)
        self.assertEqual(self.config.num_week_days, 5)
        self.assertEqual(self.config.selected_week_days, [2,3,4,5])
        self.assertEqual(self.config.fixed_intervals, 1)
        self.assertEqual(self.config.max_tests_per_day, 2)
        self.assertEqual(self.config.look_ahead_period, 30)
        self.assertEqual(self.config.targets_to_skip, ['admin'])
        self.assertEqual(self.config.target_priority_period, [7,14,30])
