import os
import sys
import unittest
import time
from pprint import pprint
from datetime import datetime, date, timedelta

from p2.store.client import Client
from p2.scheduler.Calendar import Calendar
from p2.tools.prepare_db import setUpDB, tearDownDB

class TestCalendar(unittest.TestCase):

    def setUp(self):
        setUpDB()
        time.sleep(1)
        self.calendar = Calendar(context='minikube')

    def tearDown(self):
        tearDownDB()

    def test_calendar(self):
        self.calendar.get_available_dates()
        pprint(self.calendar.calendar)
        self.assertGreater(len(self.calendar.calendar), 0)

    def test_day_valid(self):
        self.assertTrue(self.calendar._day_valid(date.fromisoformat('2020-01-01')))
        self.assertFalse(self.calendar._day_valid(date.fromisoformat('2020-01-06')))

    def test_get_sessions_of_day(self):
        today = date.today()
        one_month_ago   = today - timedelta(weeks=4.3)
        sessions = self.calendar.get_sessions_of_day(one_month_ago)
        self.assertEqual(len(sessions), 3)
        pprint("[get_sessions_of_day]: Sessions: {}".format(sessions))
