import unittest
import os

from p2.scheduler.k8.resources import Resources
from p2.tools.prepare_db import setUpDB, tearDownDB
from p2.logging import Logger
from p2.store.client import Client

class TestResources(unittest.TestCase):

    def setUp(self):
        setUpDB()
        logger = Logger(name='test_resources')
        self.resources = Resources(context='minikube', logger=logger)
        self.p2store_url = os.getenv('P2_STORE_URL')
        self.client = Client(self.p2store_url)

    def tearDown(self):
#         tearDownDB()
        pass

    def test_update(self):
        ret = self.resources.update()
        self.assertEqual(ret, 1)

        deleted = self.client.select(
            table='k8s_resources',
            filter={
                'status':'deleted'
            }
        )
        self.assertGreater(len(deleted), 0)
